package game;

public class LocationPair {
	private Location loc1;
	private Location loc2;
	public LocationPair(Location loc1, Location loc2) {
		this.loc1=loc1;
		this.loc2=loc2;
	}
	public Location getTo() {
		return loc2;
	}
	@Override
	public int hashCode() {
		return loc1.hashCode()+13*loc2.hashCode();
	}
	@Override
	public boolean equals(Object o) {
		if (o instanceof LocationPair) {
			LocationPair lp = (LocationPair)(o);
			return lp.loc1.equals(loc1) && lp.loc2.equals(loc2);
		}
		return false;
	}
	@Override
	public String toString() {
		return "("+loc1.toString()+","+loc2.toString()+")";
	}
}
