package game;

public class TimerThread implements Runnable {
	
	private static long time = 0;
	private static boolean stopped = false;
	
	public static void stop() {
		stopped=true;
	}
	
	public static void nextGeneration() {
		time+=100000;
	}

	public static long currentTimeMillis() {
		return time;
	}
	
	@Override
	public void run() {
		try {
			while(!stopped) {
				Thread.sleep(1000);
				time+=1000;
			}
		} catch (InterruptedException e) {}
	}
}
