package game;

public class Location implements Comparable<Location>{
	public static final Location NOTTHERE = new Location(-10);
	public static final Location STARTPOS = new Location(0);
	public static final Location ENDPOS = new Location(1);
	private int i;
	public Location(int i) {
		this.i=i;
	}
	@Override
	public boolean equals(Object o) {
		if (o instanceof Location) {
			Location loc = (Location)o;
			return loc.i==i;
		}
		return false;
	}
	public int arrayIndex() {
		return i;
	}
	@Override
	public int hashCode() {
		return i;
	}
	@Override
	public int compareTo(Location loc) {
		return i-loc.i;
	}
	@Override
	public String toString() {
		if (this==NOTTHERE) return "X";
		return ""+i;
	}
}
