package game;

import java.util.*;
import java.io.*;

public class Main {
//	public static final String OUTPUTFOLDER = "E:/Daten/portal2stuff/mapmaker/java logic/output/";//has to end with a slash
	public static void main(String [] args) {
//		new Thread(new TimerThread()).start();
		new Main();
//		TimerThread.stop();
	}
	
	public Main() {
		System.out.println(new Date());
		System.out.println("version 2015-04-27");
		System.out.println("This program generates long output that should be written into a text file. Start it with 'java -jar chambergen.jar > output.txt'");
		System.out.println("starting to generate a Portal 2 test chamber logic. This might take a few hours.");
		
//		{
//			GameLevel gl = new GameLevel("0:[[starting location][portal surface on wall]]\n1:[[exit location with a door sealed by two cube buttons][portal surface on wall]]\n2:[[portal surface on wall]]\n3:[[storage cube dropper]]\n4:[[cube button that activates things with label '1']]\n5:[[button to spawn storage cube][button to spawn companion cube]]\n6:[[portal surface on wall][companion cube dropper]]\n7:[[portal surface on wall]]\ndescriptions of the connections between the locations:\nfrom 0 to 5: hallway\nfrom 1 to 6: fizzler\nfrom 1 to 7: a grating on top of a high cliff so that one can only see in one direction\nfrom 2 to 1: grating\nfrom 2 to 5: a sea with a jump pad in one direction\nfrom 3 to 1: fizzler\nfrom 4 to 3: a high cliff that one can jump down but not climb up or throw cubes up\nfrom 7 to 3: laser field that deactivates when button '1' is pressed\nfrom 7 to 4: a high cliff that one can jump down but not climb up or throw cubes up\nfrom 7 to 6: a grating on top of a high cliff so that one can only see in one direction");
//			System.out.println(gl);
//			System.out.println(gl.humanReadable());
//			try {
//			PuzzleSolver p = new PuzzleSolver(gl,null);
//			Vector<PlayerAction> v = p.solve(null);
//			for (PlayerAction a : v) {
//				System.out.println(a.getCost()+"  "+a);
//			}
//			double fitness = PuzzleSolver.calculateFitness(gl, null);
//			System.out.println("fitness = "+fitness);
////			main_playgame(gl);
//		} catch(TimeUpException e) {}
//			System.exit(0);
//		}

//		GameLevel gl = new GameLevel("20100000 20010000 00001000 00000000 21000000 10000000 10000000 WALL2 FIRE1 FIRE2_ WALL1_ FIRE1 MOVEROVERWATER1 WALL2_ JUMPPADOVERWATER_ WALL3 WALL1 FIZZLE2 FIZZLE FIRE1_ JUMPPADOVERWATER FIZZLE_ WALL2_ FIZZLE FIRE2_ FIRE2 WALL3_ FIZZLE FIZZLE3 WALL1 FIRE3_ WALL1 WALL1_ WALL2 FIZZLE3_ PLAIN WALL1_ FIRE1_ FIZZLE2_ FIZZLE_ WALL1_ PLAIN_ WALL3_ MOVEROVERWATER1_ FIZZLE_ FIRE2 FIRE3 WALL1 WALL3");
//		System.out.println(gl.humanReadable());
//		gl=gl.clean();
//		System.out.println();
//		System.out.println(gl);
//		System.out.println(gl.humanReadable());
//		System.exit(0);

//		main_playgame();
		
//		try {
//			GameLevel g = new GameLevel("20100000 20010000 00001000 00000000 21000000 10000000 10000000 WALL FIRE_ WALL WALL FIRE_ WALL WALL PLAIN WALL WALL FIZZLE_ WALL FIRE PLAIN_ WALL WALL WALL WALL WALL WALL WALL WALL WALL WALL WALL WALL WALL WALL PLAIN WALL FIRE FIZZLE WALL WALL PLAIN_ WALL WALL WALL WALL WALL WALL WALL");
//			System.out.println(g.humanReadable());
//			PuzzleSolver p = new PuzzleSolver(g,null);
//			Vector<PlayerAction> v = p.solve(null);
//			for (PlayerAction a : v) {
//				System.out.println(a.getCost()+"  "+a);
//			}
//			double fitness = PuzzleSolver.calculateFitness(g, null);
//			System.out.println("fitness = "+fitness);
//		} catch(TimeUpException e) {}
		
		GameLevel gl = main_evolution();
		
		System.out.println("The main generation phase is done. Now starting postprocessing.");
		
		gl=gl.clean();
		
		System.out.println();
		
		System.out.println("The test chamber looks as follows:");
		System.out.println(gl.humanReadable());
		
		System.out.println();
		
		System.out.println("A solution to the test chamber consists of the following steps:");
		
		PlayerAction.simplifiedCosts = true;
		try {
			PuzzleSolver p = new PuzzleSolver(gl,null);
			Vector<PlayerAction> v = p.solve(null);
			for (PlayerAction a : v) {
				System.out.println(a.humanReadable());
			}
		} catch(TimeUpException e) {}
		System.out.println();
	}
	
	
	
	
	
	
	
	
	
	
	
	public static void main_playgame(GameLevel g) {
//		GameLevel g = new GameLevel("20100000 20010000 00001000 00000000 21000000 10000000 10000000 WALL FIRE_ WALL WALL FIRE_ WALL WALL PLAIN WALL WALL FIZZLE_ WALL FIRE PLAIN_ WALL WALL WALL WALL WALL WALL WALL WALL WALL WALL WALL WALL WALL WALL PLAIN WALL FIRE FIZZLE WALL WALL PLAIN_ WALL WALL WALL WALL WALL WALL WALL");
//		GameLevel g = new GameLevel("10100000 00000000 00000000 20010000 10001000 21000000 44 44 44 00 44 24 01 44 44 04 44 40 04 44 44 10 40 04 44 04 44 34 44 14 04 43 44 24 04 40 ");
//		GameLevel g = new GameLevel("2 3 9 1 8 6 2 7 13 41 14 11 31 02 00 22 42 04 22 24 00 33 33 30 10 00 04 20 34 14 21 44 34 20 03 43 24 02 34 03 44 42 10 12 10 33 44 01 33 32 23 14 11 01 21 33 10 30 41 20 04 10 01 31");
//		GameLevel g = new GameLevel("0 0 6 7 8 9 0 0 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44 44");
//		if ("".equals("")) throw new Error("mp string representation for gamelevel");
		System.out.println(g);
		System.out.println(g.humanReadable());
		NormalizedGameState gamestate = new GameState(g).normalizeArbitraryTime();

		double length = 0d;
		BufferedReader in = new BufferedReader ( new InputStreamReader( System.in ));
		while (true) {
			System.out.println("{"+length+"}  "+gamestate);
			Vector<PlayerAction> actions =null;
			try {
				actions = gamestate.generatePlayerActions(null);
			} catch (TimeUpException e) {}
			for (int i=0;i<actions.size();i++) {
				System.out.println(StringFiller.fillString(""+i, 4)+actions.get(i).getType().toString()+"   "+actions.get(i).getCost()+"  "+actions.get(i).getNewGamestate());
			}
			System.out.println("> ");
			String input=null;
			{
				try {
					input = in.readLine();
					try {
						Thread.sleep(100);
					} catch (Exception e) {};
				} catch (IOException e) {
					e.printStackTrace(); System.exit(0);
				}
			}
			//handle the player input:
			try {
				int chosen = new Integer(input);
				if (chosen<0) {
					gamestate = gamestate.getRepresentativeGameState().debugteleport(new Location(-chosen)).normalizeArbitraryTime();
				}
				gamestate = actions.get(chosen).getNewGamestate().normalizeArbitraryTime();
				length+=actions.get(chosen).getCost();
			} catch (Exception e) {
				{
					input = "---";
					System.out.println("Format!");
				}
				if (input.equals("")) {
					System.out.println("!!!");
					continue;
				}
				if (!input.equals("---")) {
					System.out.println("*"+input+"*");
					boolean actionfound = false;
					for (PlayerAction action : actions) {
						System.out.println("+"+action.toString()+"+");
						if (action.toString().equals(input)) {
							gamestate = action.getNewGamestate().normalizeArbitraryTime();
							length+=action.getCost();
							actionfound = true;
							break;
						}
					}
					if (!actionfound) {
						System.out.println("???");
						System.exit(0);
					}
				}
			}
		}
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	public static final long TIMELIMIT = 30000;//each fitness evaluation. Given in milliseconds.
	public static final long PLATEAUMILLISECONDS = 10*60*60*1000;
	public static GameLevel main_evolution() {
		final int populationsize = 100;//always an even number!
		GameLevel[] population = new GameLevel[populationsize];
		double[] fitness = new double[populationsize];
		double trivialfitness = 2*PlayerActionType.CLICK.getCost();
//		System.out.println("fitness of the trivial level = "+trivialfitness);
		System.out.println("starting the initializing phase.");
		
		for (int i=0;i<populationsize;i++) {
			GameLevel g = null;
			while (true) {
				g = new GameLevel();
				if (true) {
					double tryfitness = PuzzleSolver.calculateFitness(g,TimerThread.currentTimeMillis()+TIMELIMIT);
					if (tryfitness>trivialfitness) {
//						System.out.print("!");
						break;
					}
//					else {
//						if (tryfitness==0) System.out.print("n");//null
//						else System.out.print("t");//trivial
//					}
				}
			}
			System.out.println((i+1)+"%");
			population[i] = g;
		}
//		System.out.println("\ninitial population generated");
		System.out.println("finished the initializing phase.");
		
		long lastFitnessIncreaseTime=TimerThread.currentTimeMillis();
		double bestFitnessOfLastIncrease = 0;
		
		while(true) {//will break when after some time the fitness stagnates
			TimerThread.nextGeneration();
//			for (int iteration=0;iteration<iterations;iteration++) {
				double thistimebestfitness = 0;
				for (int i=0;i<populationsize;i++) {
					fitness[i] = PuzzleSolver.calculateFitness(population[i],TimerThread.currentTimeMillis()+TIMELIMIT)-trivialfitness+0.1;
//					System.out.print(".");
					if (fitness[i]<0) fitness[i]=0;
					if (fitness[i] > thistimebestfitness) thistimebestfitness=fitness[i];
				}
//				System.out.println();
				if (thistimebestfitness > bestFitnessOfLastIncrease) {
					bestFitnessOfLastIncrease = thistimebestfitness;
					lastFitnessIncreaseTime = TimerThread.currentTimeMillis();
				}
				Integer [] pos = new Integer[populationsize];
				for (int i=0;i<populationsize;i++) pos[i]=i;
				final double[] _fitness = fitness;
				Arrays.sort(pos,new Comparator<Integer>(){
					@Override
					public int compare(Integer pos1, Integer pos2) {
						double d1 = _fitness[pos1];
						double d2 = _fitness[pos2];
						if (d1==d2) return 0;
						return (d1<d2?1:-1);
					}});
				
				GameLevel[] newpopulation = new GameLevel[populationsize];
				newpopulation[0]=population[pos[0]];
				for (int k=1;k<=9;k++) {
					while (true) {
						newpopulation[k] = new GameLevel();
						if (PuzzleSolver.calculateFitness(newpopulation[k],TimerThread.currentTimeMillis()+TIMELIMIT)>=trivialfitness) break;
					}
				}
				System.out.println(Math.min((TimerThread.currentTimeMillis()-lastFitnessIncreaseTime)/100000,PLATEAUMILLISECONDS/100000)+" out of "+(PLATEAUMILLISECONDS/100000)+". This counter sets back occasionally.");
//				System.out.println("iteration "+iteration+"/"+iterations);
//				System.out.println(new Date());
//				for (int i=0;i<populationsize;i++) System.out.print(fitness[pos[i]]+" ");
//				System.out.println();
//				System.out.println(population[pos[0]]);
//				System.out.println("has best fitness="+fitness[pos[0]]+".\n\n");
				
				
//				try {
//					long t = TimerThread.currentTimeMillis();
//					String filename = OUTPUTFOLDER+""+thisRunStartTimeStamp+"_"+t+".txt";
//					FileWriter outFile = new FileWriter(filename);
//					PrintWriter out = new PrintWriter(outFile);
//					for (int i=0;i<populationsize;i++) {
//						out.println(fitness[pos[i]]);
//						out.println(population[pos[i]]);
//					}
//					out.close();
//					outFile.close();
//				} catch (IOException e) {e.printStackTrace();}
				
				if (TimerThread.currentTimeMillis()-lastFitnessIncreaseTime > PLATEAUMILLISECONDS) {
//					try {
//						String filename = OUTPUTFOLDER+"finished_"+((long)(bestFitnessOfLastIncrease))+"_"+thisRunStartTimeStamp+".txt";
//						FileWriter outFile = new FileWriter(filename);
//						PrintWriter out = new PrintWriter(outFile);
//						for (int i=0;i<populationsize;i++) {
//							out.println(fitness[pos[i]]);
//							out.println(population[pos[i]]);
//						}
//						out.close();
//						outFile.close();
//					} catch (IOException e) {e.printStackTrace();}
					return newpopulation[0];
				}
//				if (iteration == iterations-1) break; //why break here? The following steps do not cost much!

				for (int k=10;k<populationsize;k+=2) {
					double fitnesssum = 0;
					for (int i=0;i<populationsize;i++) {
						fitnesssum += fitness[i];
					}
					double d = Rand.rand.nextDouble()*fitnesssum;
					double smallfitnesssum = 0;
					int i1 = 0;
					for (int i=0;i<populationsize;i++) {
						smallfitnesssum += fitness[i];
						if (smallfitnesssum>d) {
							i1 = i;
							break;
						}
					}
					d = Rand.rand.nextDouble()*fitnesssum;
					smallfitnesssum = 0;
					int i2 = 0;
					for (int i=0;i<populationsize;i++) {
						smallfitnesssum += fitness[i];
						if (smallfitnesssum>d) {
							i2 = i;
							break;
						}
					}
//					int i1 = populationsize-1-(int)((Math.sqrt(Rand.rand.nextDouble()))*(double)populationsize);
//					int i2 = populationsize-1-(int)((Math.sqrt(Rand.rand.nextDouble()))*(double)populationsize);
					Vector<GameLevel> recomb = new Vector<GameLevel>();
//					System.out.println("mate "+fitness[i1]+" and "+fitness[i2]);

					recomb.add(GameLevel.recombine(population[i1], population[i2]));
					recomb.add(GameLevel.recombine(population[i1], population[i2]));
					
					
					GameLevel newindivivual1 = recomb.get(0).mutate();
					GameLevel newindivivual2 = recomb.get(1).mutate();
					newpopulation[k]=newindivivual1;
					newpopulation[k+1]=newindivivual2;
				}
				population = newpopulation;
			}
		}
}
